data:extend(
{

  {
    type = "assembling-machine",

    name = "cheat-box",

    icon = "__cheat__/graphics/icons/cheat-box.png",

    flags = {"placeable-neutral","placeable-player", "player-creation"},

    minable = {hardness = 0.2, mining_time = 0.5, result = "cheat-box"},

    max_health = 10000,

    corpse = "big-remnants",

    dying_explosion = "medium-explosion",

    resistances =

    {

      {
        type = "physical",
        percent = 100
      },

      {
        type = "impact",
        percent = 100
      },

      {
        type = "poison",
        percent = 100
      },

      {
        type = "explosion",
        percent = 100
      },

      {
        type = "fire",
        percent = 100
      },

      {
        type = "laser",
        percent = 100
      }
,
      {
        type = "acid",
        percent = 100
      },

      {
        type = "electric",
        percent = 100
      }

    },

    fluid_boxes =

    {

      {

        production_type = "input",

        pipe_covers = pipecoverspictures(),

        base_area = 10,

        base_level = -1,

        pipe_connections = {{ type="input", position = {-1, -2} }}

      },

      {

        production_type = "input",

        pipe_covers = pipecoverspictures(),

        base_area = 10,

        base_level = -1,

        pipe_connections = {{ type="input", position = {1, -2} }}

      },

      {

        production_type = "output",

        pipe_covers = pipecoverspictures(),

        base_level = 1,

        pipe_connections = {{ type="output", position = {-2, 1} }}

      },

      {

        production_type = "output",

        pipe_covers = pipecoverspictures(),

        base_level = 1,

        pipe_connections = {{ type="output", position = {0, 2} }}

      },

      {

        production_type = "output",

        pipe_covers = pipecoverspictures(),

        base_level = 1,

        pipe_connections = {{ type="output", position = {2, 1} }}

      }
,
      off_when_no_fluid_recipe = true

    },

    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },

    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },

    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    working_sound =

    {

      sound =
      {

        {
          filename = "__base__/sound/assembling-machine-t3-1.ogg",
          volume = 0.8
        },

        {
          filename = "__base__/sound/assembling-machine-t3-2.ogg",
          volume = 0.8
        },

      },

      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },

      apparent_volume = 1.5,

    },

    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},

    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},

    fast_replaceable_group = "assembling-machine",

    animation =

    {

      filename = "__cheat__/graphics/entity/cheat-box.png",

      priority = "high",

      width = 160,

      height = 160,

      frame_count = 1,
      line_length = 1,

      shift = {0, 0}

    },

    crafting_categories = {"crafting", "advanced-crafting","smelting","chemistry", "crafting-with-fluid","oil-processing","cheat"},

    crafting_speed = 10,

    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },

    energy_usage = "1kW",

    ingredient_count = 9,

    module_specification =
    {
      module_slots = 8
    },

    allowed_effects = {"consumption", "speed", "productivity", "pollution"}

  },

  {

    type = "boiler",

    name = "cheat-power-boiler",
    icon = "__base__/graphics/icons/boiler.png",

    flags = {"placeable-neutral", "player-creation"},

    minable = {hardness = 0.2, mining_time = 0.5, results={{"cheat-power-boiler",1},{"cheat-fuel", 1}}},

    max_health = 100,

    corpse = "small-remnants",

    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    resistances =
    {
      {
        type = "fire",
        percent = 80
      }
    },

    fast_replaceable_group = "pipe",

    collision_box = {{-0.29, -0.29}, {0.29, 0.29}},

    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},

    fluid_box =
    {
      base_area = 1,
      pipe_covers = pipecoverspictures(),
      pipe_connections =
      {
        { position = {0, -1} },
        { position = {1, 0} },
        { position = {0, 1} },
        { position = {-1, 0} }
      },
    },

    energy_consumption = "1000kW",

    burner =
    {
      effectivity = 100,
      fuel_inventory_size = 1,
      smoke =
      {
        {
          name = "smoke",
          position = {0.0, -0.8},
          frequency = 5,
          starting_vertical_speed = 0.0,
          starting_frame_deviation = 60
        }
      }
    },

    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/boiler.ogg",
        volume = 0.8
      },
      max_sounds_per_type = 3
    },

    structure =
    {

      left =
      {
        filename = "__base__/graphics/entity/boiler/boiler-left.png",
        priority = "extra-high",
        width = 46,
        height = 46,
        shift = {0.03125, 0}
      },

      down =
      {
        filename = "__base__/graphics/entity/boiler/boiler-down.png",
        priority = "extra-high",
        width = 66,
        height = 72 --, shift = {0.05, 0}
      },

      left_down =
      {
        filename = "__base__/graphics/entity/boiler/boiler-left-down.png",
        priority = "extra-high",
        width = 60,
        height = 50 --, shift = {0, -0.02}
      },

      right_down =
      {
        filename = "__base__/graphics/entity/boiler/boiler-right-down.png",
        priority = "extra-high",
        width = 44,
        height = 50
      },

      left_up =
      {
        filename = "__base__/graphics/entity/boiler/boiler-left-up.png",
        priority = "extra-high",
        width = 66,
        height = 74 --, shift = {0.05, 0}
      },

      right_up =
      {
        filename = "__base__/graphics/entity/boiler/boiler-right-up.png",
        priority = "extra-high",
        width = 46,
        height = 72 --, shift = {0.15, 0}
      },

      t_down =
      {
        filename = "__base__/graphics/entity/boiler/boiler-t-down.png",
        priority = "extra-high",
        width = 44,
        height = 50 --, shift = {0, 0}
      },

      t_up =
      {
        filename = "__base__/graphics/entity/boiler/boiler-t-up.png",
        priority = "extra-high",
        width = 46,
        height = 70 --, shift = {0, 0}
      }

    },

    fire =
    {
      left = boilerfires.down,
      down = boilerfires.left,
      left_down = boilerfires.right,
      right_down = boilerfires.left,
      left_up = boilerfires.down,
      right_up = boilerfires.down,
      t_up = boilerfires.down
    },

    burning_cooldown = 20,

    pictures = pipepictures()
  },


  {

    type = "generator",

    name = "cheat-engine",

    icon = "__base__/graphics/icons/steam-engine.png",

    flags = {"placeable-neutral","player-creation"},

    minable = {mining_time = 1, result = "cheat-engine"},

    max_health = 300,

    corpse = "big-remnants",

    dying_explosion = "medium-explosion",

    effectivity = 100,

    fluid_usage_per_tick = 0.1,

    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },

    collision_box = {{-1.35, -2.35}, {1.35, 2.35}},

    selection_box = {{-1.5, -2.5}, {1.5, 2.5}},

    fluid_box =
    {
      base_area = 1,
      pipe_covers = pipecoverspictures(),
      pipe_connections =
      {
        { position = {0, 3} },
        { position = {0, -3} },
      },
    },

    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-output"
    },

    horizontal_animation =
    {
      filename = "__base__/graphics/entity/steam-engine/steam-engine-horizontal.png",
      width = 246,
      height = 137,
      frame_count = 32,
      line_length = 8,
      shift = {1.34, -0.06}
    },

    vertical_animation =
    {
      filename = "__base__/graphics/entity/steam-engine/steam-engine-vertical.png",
      width = 155,
      height = 186,
      frame_count = 32,
      line_length = 8,
      shift = {0.812, 0.03125}
    },

    smoke =
    {
      {
        name = "light-smoke",
        north_position = {0.9, 0.0},
        east_position = {-2.0, -2.0},
        frequency = 10 / 32,
        starting_vertical_speed = 0.08,
        slow_down_factor = 1,
        starting_frame_deviation = 60
      }
    },

    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/steam-engine-90bpm.ogg",
        volume = 0.6
      },
      match_speed_to_activity = true,
    },

    min_perceived_performance = 0.25,

    performance_to_sound_speedup = 0.5

  },

  {

    type = "electric-pole",

    name = "cheat-electric-pole",

    icon = "__base__/graphics/icons/big-electric-pole.png",

    flags = {"placeable-neutral", "player-creation"},

    minable = {hardness = 0.2, mining_time = 0.5, result = "cheat-electric-pole"},

    max_health = 150,

    corpse = "medium-remnants",

    resistances =
    {
      {
        type = "fire",
        percent = 100
      }
    },

    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-1, -1}, {1, 1}},

    drawing_box = {{-1, -3}, {1, 0.5}},

    maximum_wire_distance = 32,

    supply_area_distance = 16,
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    pictures =
    {
      filename = "__base__/graphics/entity/big-electric-pole/big-electric-pole.png",
      priority = "high",
      width = 168,
      height = 165,
      direction_count = 4,
      shift = {1.6, -1.1}
    },

    connection_points =

    {

      {        shadow =
        {
          copper = {2.7, 0},
          green = {1.8, 0},
          red = {3.6, 0}
        },
        wire =
        {
          copper = {0, -3.125},
          green = {-0.59375, -3.125},
          red = {0.625, -3.125}
        }
      },

      {
        shadow =
        {
          copper = {3.1, 0.2},
          green = {2.3, -0.3},
          red = {3.8, 0.6}
        },

        wire =
        {
          copper = {-0.0625, -3.125},
          green = {-0.5, -3.4375},
          red = {0.34375, -2.8125}
        }
      },

      {
        shadow =
        {
          copper = {2.9, 0.06},
          green = {3.0, -0.6},
          red = {3.0, 0.8}
        },

        wire =
        {
          copper = {-0.09375, -3.09375},
          green = {-0.09375, -3.53125},
          red = {-0.09375, -2.65625}
        }
      },

      {
        shadow =
        {
          copper = {3.1, 0.2},
          green = {3.8, -0.3},
          red = {2.35, 0.6}
        },

        wire =
        {
          copper = {-0.0625, -3.1875},
          green = {0.375, -3.5},
          red = {-0.46875, -2.90625}
        }
      }

    },

    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
      width = 12,
      height = 12,
      priority = "extra-high-no-scale"
    },

  },
  {
    type = "car",

    name = "cheat-tank",

    icon = "__base__/graphics/icons/tank.png",

    flags = {"pushable", "placeable-neutral", "player-creation", "placeable-off-grid"},

    minable = {mining_time = 1, result = "cheat-tank"},

    max_health = 100000,

    corpse = "medium-remnants",

    dying_explosion = "medium-explosion",

    energy_per_hit_point = 0.5,

    resistances =

    {

      {
        type = "physical",
        percent = 100
      },

      {
        type = "impact",
        percent = 100
      },

      {
        type = "poison",
        percent = 100
      },

      {
        type = "explosion",
        percent = 100
      },

      {
        type = "fire",
        percent = 100
      },

      {
        type = "laser",
        percent = 100
      }
,
      {
        type = "acid",
        percent = 100
      },

      {
        type = "electric",
        percent = 100
      }

    },

    collision_box = {{-0.9, -1.3}, {0.9, 1.3}},

    selection_box = {{-0.9, -1.3}, {0.9, 1.3}},
    effectivity = 1000,

    braking_power = "10GW",

    burner =
    {
      effectivity = 10000,
      fuel_inventory_size = 2,
      smoke =
      {
        {
          name = "tank-smoke",
          deviation = {0.25, 0.25},
          frequency = 50,
          position = {0, 1.5},
          starting_frame = 0,
          starting_frame_deviation = 60
        }
      }
    },

    consumption = "1000kW",

    terrain_friction_modifier = 0.2,

    friction = 0.001,

    light =
    {
      {
        type = "oriented",
        minimum_darkness = 0.3,
        picture =
        {
          filename = "__core__/graphics/light-cone.png",
          priority = "medium",
          scale = 2,
          width = 200,
          height = 200
        },
        shift = {-0.6, -14},
        size = 2,
        intensity = 0.6
      },
      {
        type = "oriented",
        minimum_darkness = 0.3,
        picture =
        {
          filename = "__core__/graphics/light-cone.png",
          priority = "medium",
          scale = 2,
          width = 200,
          height = 200
        },
        shift = {0.6, -14},
        size = 2,
        intensity = 0.6
      }
    },

    animation =
    {
      layers =
      {
        {
          width = 139,
          height = 110,
          frame_count = 2,
          direction_count = 64,
          shift = {-0.140625, -0.28125},
          animation_speed = 8,
          max_advance = 1,
          stripes =
          {
            {
             filename = "__base__/graphics/entity/tank/base-1.png",
             width_in_frames = 2,
             height_in_frames = 16,
            },
            {
             filename = "__base__/graphics/entity/tank/base-2.png",
             width_in_frames = 2,
             height_in_frames = 16,
            },
            {
             filename = "__base__/graphics/entity/tank/base-3.png",
             width_in_frames = 2,
             height_in_frames = 16,
            },
            {
             filename = "__base__/graphics/entity/tank/base-4.png",
             width_in_frames = 2,
             height_in_frames = 16,
            }
          }
        },
        {
          width = 109,
          height = 88,
          frame_count = 2,
          apply_runtime_tint = true,
          direction_count = 64,
          shift = {-0.140625, -0.65625},
          max_advance = 1,
          line_length = 2,
          stripes = util.multiplystripes(2,
          {
            {
              filename = "__base__/graphics/entity/tank/base-mask-1.png",
              width_in_frames = 1,
              height_in_frames = 22,
            },
            {
              filename = "__base__/graphics/entity/tank/base-mask-2.png",
              width_in_frames = 1,
              height_in_frames = 22,
            },
            {
              filename = "__base__/graphics/entity/tank/base-mask-3.png",
              width_in_frames = 1,
              height_in_frames = 20,
            },
          })
        },
        {
          width = 154,
          height = 99,
          frame_count = 2,
          draw_as_shadow = true,
          direction_count = 64,
          shift = {0.59375, 0.328125},
          max_advance = 1,
          stripes = util.multiplystripes(2,
          {
           {
            filename = "__base__/graphics/entity/tank/base-shadow-1.png",
            width_in_frames = 1,
            height_in_frames = 16,
           },
           {
            filename = "__base__/graphics/entity/tank/base-shadow-2.png",
            width_in_frames = 1,
            height_in_frames = 16,
           },
           {
            filename = "__base__/graphics/entity/tank/base-shadow-3.png",
            width_in_frames = 1,
            height_in_frames = 16,
           },
           {
            filename = "__base__/graphics/entity/tank/base-shadow-4.png",
            width_in_frames = 1,
            height_in_frames = 16,
           }
          })
        }
      }
    },

    turret_animation =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/tank/turret.png",
          line_length = 8,
          width = 92,
          height = 69,
          frame_count = 1,
          direction_count = 64,
          shift = {-0.15625, -1.07812},
          animation_speed = 8,
        },
        {
          filename = "__base__/graphics/entity/tank/turret-mask.png",
          line_length = 8,
          width = 38,
          height = 29,
          frame_count = 1,
          apply_runtime_tint = true,
          direction_count = 64,
          shift = {-0.15625, -1.23438},
        },
        {
          filename = "__base__/graphics/entity/tank/turret-shadow.png",
          line_length = 8,
          width = 95,
          height = 67,
          frame_count = 1,
          draw_as_shadow = true,
          direction_count = 64,
          shift = {1.70312, 0.640625},
        }
      }
    },

    turret_rotation_speed = 0.35 / 60,
    turret_return_timeout = 300,
    stop_trigger_speed = 0.2,

    sound_no_fuel =
    {
      {
        filename = "__base__/sound/fight/tank-no-fuel-1.ogg",
        volume = 0.6
      },
    },

    stop_trigger =
    {
      {
        type = "play-sound",
        sound =
        {
          {
            filename = "__base__/sound/car-breaks.ogg",
            volume = 0.6
          },
        }
      },
    },

    sound_minimum_speed = 0.15;
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/fight/tank-engine.ogg",
        volume = 0.6
      },
      activate_sound =
      {
        filename = "__base__/sound/fight/tank-engine-start.ogg",
        volume = 0.6
      },
      deactivate_sound =
      {
        filename = "__base__/sound/fight/tank-engine-stop.ogg",
        volume = 0.6
      },
      match_speed_to_activity = true,
    },

    open_sound = { filename = "__base__/sound/car-door-open.ogg", volume=0.7 },

    close_sound = { filename = "__base__/sound/car-door-close.ogg", volume = 0.7 },

    rotation_speed = 0.02,

    tank_driving = true,

    weight = 2000000,

    inventory_size = 80,

    guns = { "tank-cannon", "tank-machine-gun" }
  },

  {

    type = "container",

    name = "cheat-chest",

    icon = "__base__/graphics/icons/steel-chest.png",

    flags = {"placeable-neutral", "player-creation"},

    minable = {mining_time = 1, result = "steel-chest"},

    max_health = 200,

    corpse = "small-remnants",

    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },

    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },

    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },

    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},

    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},

    fast_replaceable_group = "container",

    inventory_size = 150,
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    picture =
    {
      filename = "__base__/graphics/entity/steel-chest/steel-chest.png",
      priority = "extra-high",
      width = 48,
      height = 34,
      shift = {0.2, 0}
    },
    circuit_wire_connection_point =
    {
      shadow =
      {
        red = {0.734375, 0.453125},
        green = {0.609375, 0.515625},
      },
      wire =
      {
        red = {0.40625, 0.21875},
        green = {0.40625, 0.375},
      }
    },

    circuit_wire_max_distance = 32,
    circuit_connector_sprites = get_circuit_connector_sprites({0.1875, 0.15625}, nil, 18)

  },

  {

    type = "inserter",

    name = "cheat-express-inserter",
    icon = "__base__/graphics/icons/fast-inserter.png",

    flags = {"placeable-neutral", "placeable-player", "player-creation"},

    minable =
    {
      hardness = 0.2,
      mining_time = 0.5,
      result = "cheat-express-inserter"
    },

    max_health = 40,

    corpse = "small-remnants",

    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},

    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},

    pickup_position = {0, -1},

    insert_position = {0, 1.2},

    energy_per_movement = 1,

    energy_per_rotation = 1,

    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      drain = "0.1kW"
    },

    extension_speed = 0.8,

    rotation_speed = 0.5,

    fast_replaceable_group = "inserter",

    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    working_sound =
    {
      match_progress_to_activity = true,
      sound =
      {
        {
          filename = "__base__/sound/inserter-fast-1.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-fast-2.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-fast-3.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-fast-4.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-fast-5.ogg",
          volume = 0.75
        }
      }
    },
    hand_base_picture =
    {
      filename = "__base__/graphics/entity/fast-inserter/fast-inserter-hand-base.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },

    hand_closed_picture =
    {
      filename = "__base__/graphics/entity/fast-inserter/fast-inserter-hand-closed.png",
      priority = "extra-high",
      width = 18,
      height = 41
    },

    hand_open_picture =
    {
      filename = "__base__/graphics/entity/fast-inserter/fast-inserter-hand-open.png",
      priority = "extra-high",
      width = 18,
      height = 41
    },

    hand_base_shadow =
    {
      filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-base-shadow.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },

    hand_closed_shadow =
    {
      filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-closed-shadow.png",
      priority = "extra-high",
      width = 18,
      height = 41
    },

    hand_open_shadow =
    {
      filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-open-shadow.png",
      priority = "extra-high",
      width = 18,
      height = 41
    },

    platform_picture =
    {
      sheet =
      {
        filename = "__base__/graphics/entity/fast-inserter/fast-inserter-platform.png",
        priority = "extra-high",
        width = 46,
        height = 46
      }
    },

    circuit_wire_connection_point = inserter_circuit_wire_connection_point,

    circuit_connector_sprites = inserter_circuit_connector_sprites,

    circuit_wire_max_distance = inserter_circuit_wire_max_distance

  },

  {

    type = "turret",

    name = "cheat-turret",

    icon = "__base__/graphics/icons/gun-turret.png",

    flags = { "placeable-player", "player-creation"},

    minable = { mining_time = 0.5, result = "cheat-turret" },

    max_health = 5000,

    healing_per_tick = 1,


    repair_speed_modifier = 2,
    resistances =

    {

      {
        type = "physical",
        percent = 100
      },

      {
        type = "impact",
        percent = 100
      },

      {
        type = "poison",
        percent = 100
      },

      {
        type = "explosion",
        percent = 100
      },

      {
        type = "fire",
        percent = 100
      },

      {
        type = "laser",
        percent = 100
      }
,
      {
        type = "acid",
        percent = 100
      },

      {
        type = "electric",
        percent = 100
      }

    },

    collision_box = {{-0.7, -0.7 }, {0.7, 0.7}},

    selection_box = {{-1, -1 }, {1, 1}},

    shooting_cursor_size = 4,

    rotation_speed = 1,

    corpse = "wall-remnants",

    dying_explosion = "medium-explosion",

    repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },

    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },

    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 1.0 },

    inventory_size = 2,

    folded_speed = 0.01,

    folded_animation = gun_turret_extension{frame_count=1, line_length = 1},
    prepare_range = 35,

    preparing_speed = 0.025,

    preparing_animation = gun_turret_extension{},
    prepared_speed = 0.015,

    prepared_animation = gun_turret_attack{frame_count=1},

    attacking_speed = 0.5,

    attacking_animation = gun_turret_attack{},

    folding_speed = 0.015,

    folding_animation = gun_turret_extension{run_mode = "backward"},
    base_picture =

    {

      filename = "__base__/graphics/entity/gun-turret/gun-turret-base.png",

      priority = "high",

      width = 90,

      height = 75,

      frame_count = 1,
      axially_symmetrical = false,

      direction_count = 1,

      shift = {0.0625, -0.046875},

    },

    attack_parameters =

    {

      type = "projectile",

      ammo_category = "bullet",

      cooldown = 2,

      range = 30,

      projectile_creation_distance = 1.39375,

      projectile_center = {0.0625, -0.0875},
      damage_modifier = 10,

      shell_particle =

      {

        name = "shell-particle",

        direction_deviation = 0.1,

        speed = 0.1,

        speed_deviation = 0.03,

        center = {0, 0},

        creation_distance = -1.925,

        starting_frame_speed = 0.2,

        starting_frame_speed_deviation = 0.1

      },

      ammo_type =

      {

        category = "bullet",

  
      action =

        {

          type = "area",

          perimeter = 30,

          force = "enemy",

          action_delivery =

          {

            type = "instant",

            source_effects =

            {

                type = "create-explosion",

                entity_name = "explosion-gunshot"

            },

            target_effects =

            {

              {

                type = "create-entity",

                entity_name = "explosion-hit"

              },

              {

                type = "damage",

                damage = { amount = 10 , type = "physical"}

              }

            }

          }

        }

      },
      sound = make_heavy_gunshot_sounds(),

    }
,
    call_for_help_radius = 40
  },

  {
    type = "assembling-machine",

    name = "cheat-dust-box",

    icon = "__cheat__/graphics/icons/dust-box.png",

    flags = {"placeable-neutral","placeable-player", "player-creation"},

    minable = {hardness = 0.2, mining_time = 0.5, result="cheat-dust-box"},

    max_health = 10000,

    corpse = "big-remnants",

    dying_explosion = "medium-explosion",

    resistances =

    {

      {
        type = "physical",
        percent = 100
      },

      {
        type = "impact",
        percent = 100
      },

      {
        type = "poison",
        percent = 100
      },

      {
        type = "explosion",
        percent = 100
      },

      {
        type = "fire",
        percent = 100
      },

      {
        type = "laser",
        percent = 100
      }
,
      {
        type = "acid",
        percent = 100
      },

      {
        type = "electric",
        percent = 100
      }

    },

    fluid_boxes =

    {

      {

        production_type = "input",

        pipe_covers = pipecoverspictures(),

        base_area = 10,

        base_level = -1,

        pipe_connections = {{ type="input", position = {0, -2} }}

      },

      {

        production_type = "input",

        pipe_covers = pipecoverspictures(),

        base_area = 10,

        base_level = -1,

        pipe_connections = {{ type="input", position = {0, 2} }}

      },

      {

        production_type = "input",

        pipe_covers = pipecoverspictures(),

        base_area = 10,

        base_level = -1,

        pipe_connections = {{ type="input", position = {-2, 0} }}

      },

      {

        production_type = "input",

        pipe_covers = pipecoverspictures(),

        base_area = 10,

        base_level = -1,

        pipe_connections = {{ type="input", position = {2, 0} }}

      },

      off_when_no_fluid_recipe = true

    },

    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },

    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },

    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    working_sound =

    {

      sound =
      {

        {
          filename = "__base__/sound/assembling-machine-t3-1.ogg",
          volume = 0.8
        },

        {
          filename = "__base__/sound/assembling-machine-t3-2.ogg",
          volume = 0.8
        },

      },

      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },

      apparent_volume = 1.5,

    },

    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},

    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},

    fast_replaceable_group = "assembling-machine",

    animation =

    {

      filename = "__cheat__/graphics/entity/dust-box.png",

      priority = "high",

      width = 160,

      height = 160,

      frame_count = 1,
      line_length = 1,

      shift = {0, 0}

    },

    crafting_categories = {"dust"},

    crafting_speed = 10,

    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },

    energy_usage = "1kW",

    ingredient_count = 1,

    module_specification =
    {
      module_slots = 8
    },

    allowed_effects = {"consumption", "speed", "productivity", "pollution"}

  }

}
)
