data:extend
({
  {

    type = "generator-equipment",

    name = "cheat-reactor-equipment",

    sprite =
    {
      filename = "__base__/graphics/icons/fusion-reactor-equipment.png",
      width = 32,
      height = 32,
      priority = "medium"
    },

    shape =
    {
      width = 1,
      height = 1,
      type = "full"
    },

    energy_source =
    {
      type = "electric",
      usage_priority = "primary-output"
    },

    power = "150MW",
	categories = {"armor"}

  },

  {

    type = "energy-shield-equipment",

    name = "cheat-shield-equipment",

    sprite =
    {
      filename = "__base__/graphics/icons/energy-shield-mk2-equipment.png",
      width = 32,
      height = 32,
      priority = "medium"
    },

    shape =
    {
      width = 1,
      height = 1,
      type = "full"
    },

    max_shield_value = 100000,

    energy_source =
    {
      type = "electric",
      buffer_capacity = "100MJ",
      input_flow_limit = "100MW",
      usage_priority = "primary-input"
    },

    energy_per_shield = "1kJ",
	categories = {"armor"}

  },

  {

    type = "active-defense-equipment",

    name = "cheat-defense-equipment-1",

    sprite =
    {
      filename = "__base__/graphics/icons/personal-laser-defense-equipment.png",
      width = 32,
      height = 32,
      priority = "medium"
    },

    shape =
    {
      width = 1,
      height = 1,
      type = "full"
    },

    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "10000kJ"
    },

    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 2,
      damage_modifier = 100,
      projectile_center = {0, 0},
      projectile_creation_distance = 0.6,
      range = 30,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "electric",
        energy_consumption = "1kJ",
        projectile = "laser",
        speed = 1,
        action =
        {
          {
            type = "area",          perimeter = 30,          force = "enemy",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "laser",
                starting_speed = 0.28
              }
            }
          }
        }
      }
    },

    automatic = true,
	categories = {"armor"}

  },

  {

    type = "active-defense-equipment",

    name = "cheat-defense-equipment-2",

    sprite =
    {
      filename = "__base__/graphics/icons/discharge-defense-equipment.png",
      width = 32,
      height = 32,
      priority = "medium"
    },

    shape =
    {
      width = 1,
      height = 1,
      type = "full"
    },

    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "10000kJ"
    },

    attack_parameters =
    {
      type = "beam",
      ammo_category = "combat-robot-beam",
      cooldown = 2,
      damage_modifier = 100,
      range = 30,
      ammo_type =
      {
        category = "combat-robot-beam",
        action =
        {            type = "area",          perimeter = 30,          force = "enemy",
          action_delivery =
          {
            type = "beam",
            beam = "electric-beam",
            max_length = 30,
            duration = 60,
            source_offset = {0.15, -0.5},
          }
        }
      }
    },

    automatic = true,
	categories = {"armor"}

  },

  {
    type = "roboport-equipment",

    name = "cheat-roboport-equipment",

    take_result = "cheat-roboport-equipment",

    sprite =
    {
      filename = "__base__/graphics/icons/personal-roboport-equipment.png",
      width = 32,
      height = 32,
      priority = "medium"
    },

    shape =
    {
      width = 1,
      height = 1,
      type = "full"
    },

    energy_source =
    {
      type = "electric",
      buffer_capacity = "100MJ",
      input_flow_limit = "100MW",
      usage_priority = "secondary-input"
    },

    charging_energy = "1000kW",

    energy_consumption = "1kW",


    robot_limit = 10,

    construction_radius = 30,

    spawn_and_station_height = 0.4,

    charge_approach_distance = 2.6,


    recharging_animation =
    {
      filename = "__base__/graphics/entity/roboport/roboport-recharging.png",
      priority = "high",
      width = 37,
      height = 35,
      frame_count = 16,
      scale = 1.5,
      animation_speed = 0.5
    },

    recharging_light = {intensity = 0.4, size = 5},

    stationing_offset = {0, -0.6},

    charging_station_shift = {0, 0.5},

    charging_station_count = 10,

    charging_distance = 1.6,

    charging_threshold_distance = 5,
	categories = {"armor"}

  },
  {
    type = "movement-bonus-equipment",

    name = "cheat-exoskeleton-equipment",

    sprite =
    {
      filename = "__base__/graphics/icons/exoskeleton-equipment.png",
      width = 32,
      height = 32,
      priority = "medium"
    },

    shape =
    {
      width = 1,
      height = 1,
      type = "full"
    },

    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },

    energy_consumption = "1kW",

    movement_bonus = 1,
	categories = {"armor"}
  },

  {
    type = "night-vision-equipment",
    name = "cheat-night-vision-equipment",

    sprite =
    {
      filename = "__base__/graphics/icons/night-vision-equipment.png",
      width = 32,
      height = 32,
      priority = "medium"
    },

    shape =
    {
      width = 1,
      height = 1,
      type = "full"
    },

    energy_source =
    {
      type = "electric",
      buffer_capacity = "12kJ",
      input_flow_limit = "24kW",
      usage_priority = "primary-input"
    },

    energy_input = "1kW",
    tint = {r = 0, g = 0, b = 0, a = 0},
	categories = {"armor"}

  },

}
)

